%global _empty_manifest_terminate_build 0
%global common_desc \
	PEP 257 docstring style checker **pep257*is a static analysis tool for checking \
	compliance with Python PEP 257
Name:           python-pep257
Version:        0.7.0
Release:        3
Summary:        Python docstring style checker
License:        MIT
URL:            https://github.com/GreenSteam/pep257/
Source0:        https://files.pythonhosted.org/packages/03/37/872af099c9864f7584bad9a561f6493d5d5eca9fc2b14c7d32407c90c639/pep257-0.7.0.tar.gz
BuildArch:      noarch
%description
%{common_desc}

%package -n python3-pep257
Summary:        Python docstring style checker
Provides:       python-pep257
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%description -n python3-pep257
%{common_desc}

%package help
Summary:        Python docstring style checker
Provides:       python3-pep257-doc
%description help
%{common_desc}

%prep
%autosetup -n pep257-0.7.0

%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} setup.py test

%files -n python3-pep257 -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*
%exclude %{python3_sitelib}/__pycache__

%changelog
* Fri May 13 2022 wangpeng<wangpengb_uniontech.com> - 0.7.0-3
- Remove __pycache__ folder

* Fri Mar 04 2022 zhaoshuang <zhaoshuang@uniontech.com> - 0.7.0-2
- remove unnecessary buildrequires

* Tue Jul 20 2021 OpenStack_SIG <openstack@openeuler.org> - 0.7.0-1
- Package Spec generate
